Bug 1123624 - nodejs-strip-path-debuginfo is empty
Summary: nodejs-strip-path-debuginfo is empty
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs-strip-path
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DebugInfo
TreeView+ depends on / blocked
 
Reported: 2014-07-27 10:57 UTC by Ville Skyttä
Modified: 2014-12-27 09:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-03 01:19:33 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2014-07-27 10:57:06 UTC
nodejs-strip-path-debuginfo is empty. If there's nothing to extract debug info from and the package cannot be made noarch, -debuginfo should be explicitly disabled.

Comment 1 Parag AN(पराग) 2014-07-27 12:56:53 UTC
Thanks Ville for the bug. Looks like Ralph missed to remove -debuginfo package and I think I saw its removed when I approved the package. But the same links are showing debuginfo package not removed and the same old spec is imported. This needs a simple fix.

Ralph,
you can fix this

1) Add following to spec
BuildArch:  noarch

%if 0%{?fedora} >= 19
ExclusiveArch:  %{nodejs_arches} noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

Thanks,
Parag.

Comment 2 Ralph Bean 2014-12-02 00:48:51 UTC
Ville, Parag -- sorry this got missed in the first place and then again that it sat here for so long.  I'm creating updates for it now.

Comment 3 Ralph Bean 2014-12-02 00:52:36 UTC
Rawhide:  http://koji.fedoraproject.org/koji/taskinfo?taskID=8272735

Comment 4 Fedora Update System 2014-12-02 01:24:49 UTC
nodejs-strip-path-1.0.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-strip-path-1.0.0-2.fc21

Comment 5 Fedora Update System 2014-12-02 01:26:12 UTC
nodejs-strip-path-1.0.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-strip-path-1.0.0-2.fc20

Comment 6 Fedora Update System 2014-12-02 01:27:27 UTC
nodejs-strip-path-1.0.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-strip-path-1.0.0-2.fc19

Comment 7 Fedora Update System 2014-12-02 01:28:34 UTC
nodejs-strip-path-1.0.0-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-strip-path-1.0.0-2.el7

Comment 8 Fedora Update System 2014-12-26 19:52:21 UTC
nodejs-strip-path-1.0.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-12-27 09:19:18 UTC
nodejs-strip-path-1.0.0-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-12-27 09:21:10 UTC
nodejs-strip-path-1.0.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-12-27 09:23:33 UTC
nodejs-strip-path-1.0.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.